#include <bits/stdc++.h>

using namespace std;

struct st
{
     double zarada;
     double procenat;
};

bool compare(st a, st b)
{
    if (a.procenat != b.procenat)
        return a.procenat > b.procenat;

    if (a.zarada != b.zarada)
        return a.zarada > b.zarada;

    return 0;
}

int main()
{
     int n;

     cin>>n;

     st a[n];

     double maxZbir,z=0;

     for( int i=0; i<n; ++i )
          cin>>a[i].zarada>>a[i].procenat;

     sort(a, a + n, compare);

     maxZbir = a[0].zarada*a[0].procenat/100;
     z=a[0].zarada;
     
     for( int i=1; i<n; ++i )
     {
          z+=a[i].zarada;
          double noviZbir = z*a[i].procenat/100;
          
          if(noviZbir>maxZbir)
               maxZbir=noviZbir;
     }

     cout << fixed << showpoint << setprecision(4) << maxZbir << endl;
    return 0;
}